using System;
using System.Drawing;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Eco.Handles;
using Eco.Windows.Forms;
using Eco.WinForm;
using Eco.ObjectRepresentation;
using Eco.Services;

namespace ECO_ORMBattle_SimpleExample
{
    /// <summary>
    /// This is a Simple form showing an example of a Master-Detail relationship between objects.
    /// Whislt this really isn't that helpful, I'm hoping it can be used as a very simple reference
    /// of what can be achieved with minimal effort from the developer, for simple operations like
    /// adding a new object instance to a list, and referencing sub-items for a given object instance.
    /// 
    /// The Handle components in ECO provide a visual component, and OCL editor dialog that can
    /// greatly simplify your interaction with your business objects in whatever the GUI you decide to
    /// display them in.
    /// </summary>
    public partial class SimpleMasterDetailExample : System.Windows.Forms.Form
    {

        public SimpleMasterDetailExample(ECO_ORMBattle_SimpleExample.ECO_ORMBattle_SimpleExampleEcoSpace ecoSpace)
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();

            // Set EcoSpace (actually stores it in rhRoot.EcoSpace)
            // Note that you need to set the EcoSpace property for 
            // each ReferenceHandle and VariableHandle you add to 
            // the form.
            rhRoot.EcoSpace = ecoSpace;
        }

        public ECO_ORMBattle_SimpleExample.ECO_ORMBattle_SimpleExampleEcoSpace EcoSpace
        {
            get { return (ECO_ORMBattle_SimpleExample.ECO_ORMBattle_SimpleExampleEcoSpace)rhRoot.EcoSpace; }
        }
    }
}
